use clap::Parser;
mod given_day;
mod given_task;

pub use given_day::GivenDay;
pub use given_task::GivenTask;

#[derive(Debug, Parser)]
pub struct AppCliArguments {
    #[arg(short, long)]
    day: GivenDay,
    #[arg(short, long)]
    task: GivenTask,
    #[arg(short, long)]
    read_as_file: bool,
    input: String,
}

impl AppCliArguments {
    pub fn day(&self) -> GivenDay {
        self.day
    }

    pub fn task(&self) -> GivenTask {
        self.task
    }

    pub fn input(&self) -> &str {
        &self.input
    }

    pub fn read_as_file(&self) -> bool {
        self.read_as_file
    }
}
