use derive_more::derive;

use super::range_mapping::RangeMapping;

#[derive(Debug)]
pub struct MappingLayer {
    label: String,
    ranges: Vec<RangeMapping>,
}

impl MappingLayer {
    pub fn new(label: impl Into<String>, mut ranges: Vec<RangeMapping>) -> Self {
        ranges.sort_by_key(|element| element.source());
        Self {
            label: label.into(),
            ranges,
        }
    }
}
